package hideandseek.commands.user;

import java.util.Iterator;
import hideandseek.PlayerData;
import org.bukkit.entity.Player;
import org.bukkit.Bukkit;
import org.bukkit.command.CommandSender;
import hideandseek.Customization;
import hideandseek.HideAndSeek;
import hideandseek.commands.SubCommand;

public class StatsCommand extends SubCommand
{
    public StatsCommand() {
        super((String)null, true, "<Player>");
    }
    
    public boolean execute(final HideAndSeek var1, final Customization var2, final CommandSender var3, final String[] var4) {
        Player var5;
        if (var4.length > 1) {
            var5 = Bukkit.getPlayer(var4[1]);
        }
        else {
            if (!(var3 instanceof Player)) {
                return false;
            }
            var5 = (Player)var3;
        }
        if (var5 == null) {
            var3.sendMessage((String)var2.messages.get("no_player_found"));
            return true;
        }
        for (final String var7 : var1.playerData.get(var5.getName()).getStats(var5)) {
            var3.sendMessage(var7);
        }
        return true;
    }
}
